<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Version: 1.00
| Author: Creeper
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INCLUDES."infusions_include.php";

if (!checkrights("MUO") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."messages_use_only/locale/".$settings['locale'].".php")) {
	include INFUSIONS."messages_use_only/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."messages_use_only/locale/English.php";
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "save") {
		$message = $locale['muo_save_successful'];
	} elseif ($_GET['status'] == "error") {
		$message = $locale['muo_save_unsuccessful'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

$muo_settings = get_settings("messages_use_only");

if (isset($_POST['save_settings'])) {
	$group_pm_user = isset($_POST['group_pm_user']) && isnum($_POST['group_pm_user']) ? $_POST['group_pm_user'] : 0;
	$setting = set_setting("group_pm_user", $group_pm_user, "messages_use_only");
	if ($setting) {
		redirect(FUSION_SELF.$aidlink."&amp;status=save");
	} else {
		redirect(FUSION_SELF.$aidlink."&amp;status=error");
	}
}

opentable($locale['muo_admin_title']);
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
echo "<td class='tbl' aling='center'>".$locale['muo_admin_use']."<br />\n";
$groups_arr = getusergroups(); $groups_except = array(0, 101, 102, 103);
echo "<select name='group_pm_user' class='textbox' style='width:150px;'>\n";
echo "<option value='0'".($muo_settings['group_pm_user'] == 0 ? " selected='selected'" : "").">".$locale['muo_admin_all']."</option>\n";
foreach ($groups_arr as $group) {
	if (!in_array($group[0], $groups_except)) {
		echo "<option value='".$group[0]."'".($muo_settings['group_pm_user'] == $group[0] ? " selected='selected'" : "").">".$group[1]."</option>\n";
	}
}
echo "</select></span>\n";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'>\n";
echo "<input type='submit' name='save_settings' value='".$locale['muo_admin_save']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

require_once THEMES."templates/footer.php";
?>